<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: GameStateService Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-slots">Public Slots</a> &#124;
<a href="#signals">Signals</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classGameStateService-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">GameStateService Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="gamestateservice_8h_source.html">gamestateservice.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for GameStateService:</div>
<div class="dyncontent">
<div class="center"><img src="classGameStateService__inherit__graph.png" border="0" usemap="#GameStateService_inherit__map" alt="Inheritance graph"/></div>
<map name="GameStateService_inherit__map" id="GameStateService_inherit__map">
<area shape="rect" title=" " alt="" coords="5,131,221,384"/>
<area shape="rect" title=" " alt="" coords="76,5,151,83"/>
</map>
</div>
<div class="dynheader">
Collaboration diagram for GameStateService:</div>
<div class="dyncontent">
<div class="center"><img src="classGameStateService__coll__graph.png" border="0" usemap="#GameStateService_coll__map" alt="Collaboration graph"/></div>
<map name="GameStateService_coll__map" id="GameStateService_coll__map">
<area shape="rect" title=" " alt="" coords="5,360,221,599"/>
<area shape="rect" title=" " alt="" coords="71,5,145,83"/>
<area shape="rect" href="classSettingsService.html" title=" " alt="" coords="129,132,289,297"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-slots"></a>
Public Slots</h2></td></tr>
<tr class="memitem:aab8e797b2ea6860fb9760bf45c57ead3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGameStateService.html#aab8e797b2ea6860fb9760bf45c57ead3">fetchGameState</a> ()</td></tr>
<tr class="separator:aab8e797b2ea6860fb9760bf45c57ead3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="signals"></a>
Signals</h2></td></tr>
<tr class="memitem:a6f9e21cf229558b2e6bf4d1b8387e1e5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGameStateService.html#a6f9e21cf229558b2e6bf4d1b8387e1e5">gameStateChanged</a> ()</td></tr>
<tr class="separator:a6f9e21cf229558b2e6bf4d1b8387e1e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8fca38486fee8a9d6eecff3a7aea9db9"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGameStateService.html#a8fca38486fee8a9d6eecff3a7aea9db9">amIHost</a> ()</td></tr>
<tr class="separator:a8fca38486fee8a9d6eecff3a7aea9db9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9fb25e0541254a36ffb427556c5f679"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGameStateService.html#ab9fb25e0541254a36ffb427556c5f679">isPlayerHost</a> (int id)</td></tr>
<tr class="separator:ab9fb25e0541254a36ffb427556c5f679"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab863ee6c2cf6f575b1e7efd37ffc5130"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGameStateService.html#ab863ee6c2cf6f575b1e7efd37ffc5130">gameId</a> ()</td></tr>
<tr class="separator:ab863ee6c2cf6f575b1e7efd37ffc5130"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac41ea5b69e55d35e2a02b1f062a76209"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGameStateService.html#ac41ea5b69e55d35e2a02b1f062a76209">amINarrator</a> ()</td></tr>
<tr class="separator:ac41ea5b69e55d35e2a02b1f062a76209"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab26b5943500b865b45f1cabcca04a987"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGameStateService.html#ab26b5943500b865b45f1cabcca04a987">myId</a> ()</td></tr>
<tr class="separator:ab26b5943500b865b45f1cabcca04a987"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a555300141e7bdb82a810250102331ef0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGameStateService.html#a555300141e7bdb82a810250102331ef0">startGameStateFetchLoop</a> ()</td></tr>
<tr class="separator:a555300141e7bdb82a810250102331ef0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78f78fe96322236de93a75b703b69d06"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGameStateService.html#a78f78fe96322236de93a75b703b69d06">endGameStateFetchLoop</a> ()</td></tr>
<tr class="separator:a78f78fe96322236de93a75b703b69d06"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:af20dc709a18caf26f309e3c322beb631"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classGameStateService.html">GameStateService</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGameStateService.html#af20dc709a18caf26f309e3c322beb631">getInstance</a> ()</td></tr>
<tr class="separator:af20dc709a18caf26f309e3c322beb631"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:afe7ace63d568f4793becce8bf7878cee"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGameStateService.html#afe7ace63d568f4793becce8bf7878cee">GameStateService</a> (QObject *parent=nullptr)</td></tr>
<tr class="separator:afe7ace63d568f4793becce8bf7878cee"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:aed87f6a206fe2c3f582114c1a74d13c0"><td class="memItemLeft" align="right" valign="top">QTimer *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGameStateService.html#aed87f6a206fe2c3f582114c1a74d13c0">gameStateFetchLoop</a></td></tr>
<tr class="separator:aed87f6a206fe2c3f582114c1a74d13c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6d736750d7258003dd40ba7b195acf0"><td class="memItemLeft" align="right" valign="top">QJsonDocument *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGameStateService.html#af6d736750d7258003dd40ba7b195acf0">gameState</a></td></tr>
<tr class="separator:af6d736750d7258003dd40ba7b195acf0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afcd6b65d079f8df18a23b7d733f2bf3d"><td class="memItemLeft" align="right" valign="top">QJsonDocument&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGameStateService.html#afcd6b65d079f8df18a23b7d733f2bf3d">prevGameState</a></td></tr>
<tr class="separator:afcd6b65d079f8df18a23b7d733f2bf3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57fc7f3b4087fe4e5d3c285df292a8ad"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classSettingsService.html">SettingsService</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGameStateService.html#a57fc7f3b4087fe4e5d3c285df292a8ad">settingsService</a></td></tr>
<tr class="separator:a57fc7f3b4087fe4e5d3c285df292a8ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="afe7ace63d568f4793becce8bf7878cee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe7ace63d568f4793becce8bf7878cee">&#9670;&nbsp;</a></span>GameStateService()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">GameStateService::GameStateService </td>
          <td>(</td>
          <td class="paramtype">QObject *&#160;</td>
          <td class="paramname"><em>parent</em> = <code>nullptr</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a8fca38486fee8a9d6eecff3a7aea9db9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8fca38486fee8a9d6eecff3a7aea9db9">&#9670;&nbsp;</a></span>amIHost()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool GameStateService::amIHost </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac41ea5b69e55d35e2a02b1f062a76209"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac41ea5b69e55d35e2a02b1f062a76209">&#9670;&nbsp;</a></span>amINarrator()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool GameStateService::amINarrator </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a78f78fe96322236de93a75b703b69d06"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a78f78fe96322236de93a75b703b69d06">&#9670;&nbsp;</a></span>endGameStateFetchLoop()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GameStateService::endGameStateFetchLoop </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aab8e797b2ea6860fb9760bf45c57ead3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab8e797b2ea6860fb9760bf45c57ead3">&#9670;&nbsp;</a></span>fetchGameState</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void GameStateService::fetchGameState </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab863ee6c2cf6f575b1e7efd37ffc5130"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab863ee6c2cf6f575b1e7efd37ffc5130">&#9670;&nbsp;</a></span>gameId()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int GameStateService::gameId </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6f9e21cf229558b2e6bf4d1b8387e1e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f9e21cf229558b2e6bf4d1b8387e1e5">&#9670;&nbsp;</a></span>gameStateChanged</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void GameStateService::gameStateChanged </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af20dc709a18caf26f309e3c322beb631"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af20dc709a18caf26f309e3c322beb631">&#9670;&nbsp;</a></span>getInstance()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classGameStateService.html">GameStateService</a>&amp; GameStateService::getInstance </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab9fb25e0541254a36ffb427556c5f679"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab9fb25e0541254a36ffb427556c5f679">&#9670;&nbsp;</a></span>isPlayerHost()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool GameStateService::isPlayerHost </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab26b5943500b865b45f1cabcca04a987"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab26b5943500b865b45f1cabcca04a987">&#9670;&nbsp;</a></span>myId()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int GameStateService::myId </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a555300141e7bdb82a810250102331ef0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a555300141e7bdb82a810250102331ef0">&#9670;&nbsp;</a></span>startGameStateFetchLoop()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GameStateService::startGameStateFetchLoop </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="af6d736750d7258003dd40ba7b195acf0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af6d736750d7258003dd40ba7b195acf0">&#9670;&nbsp;</a></span>gameState</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QJsonDocument* GameStateService::gameState</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aed87f6a206fe2c3f582114c1a74d13c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aed87f6a206fe2c3f582114c1a74d13c0">&#9670;&nbsp;</a></span>gameStateFetchLoop</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QTimer* GameStateService::gameStateFetchLoop</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afcd6b65d079f8df18a23b7d733f2bf3d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afcd6b65d079f8df18a23b7d733f2bf3d">&#9670;&nbsp;</a></span>prevGameState</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QJsonDocument GameStateService::prevGameState</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a57fc7f3b4087fe4e5d3c285df292a8ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57fc7f3b4087fe4e5d3c285df292a8ad">&#9670;&nbsp;</a></span>settingsService</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classSettingsService.html">SettingsService</a>&amp; GameStateService::settingsService</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>frontend/src/lib/Main Window/<a class="el" href="gamestateservice_8h_source.html">gamestateservice.h</a></li>
<li>frontend/src/lib/Main Window/<a class="el" href="gamestateservice_8cpp.html">gamestateservice.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
